[arch-commits] Commit in xorg-fonts-misc/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Mar 8 08:10:38 EST 2010


    Date: Monday, March 8, 2010 @ 08:10:38
  Author: jgc
Revision: 71692

upgpkg: xorg-fonts-misc 1.0.1-1
Update fonts, convert to -any architecture

Modified:
  xorg-fonts-misc/trunk/PKGBUILD

----------+
 PKGBUILD |   50 ++++++++++++++++++++++++++++----------------------
 1 file changed, 28 insertions(+), 22 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-08 12:59:37 UTC (rev 71691)
+++ PKGBUILD	2010-03-08 13:10:38 UTC (rev 71692)
@@ -2,10 +2,10 @@
 #Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=xorg-fonts-misc
-pkgver=1.0.0
-pkgrel=4
+pkgver=1.0.1
+pkgrel=1
 pkgdesc="X.org misc fonts"
-arch=(i686 x86_64)
+arch=(any)
 url="http://xorg.freedesktop.org/"
 license=('custom')
 depends=(xorg-fonts-encodings xorg-fonts-alias xorg-font-utils fontconfig)
@@ -17,31 +17,37 @@
         ${url}/releases/individual/font/font-isas-misc-${pkgver}.tar.bz2
         ${url}/releases/individual/font/font-jis-misc-${pkgver}.tar.bz2
         ${url}/releases/individual/font/font-micro-misc-${pkgver}.tar.bz2
-        ${url}/releases/individual/font/font-misc-misc-${pkgver}.tar.bz2
+        ${url}/releases/individual/font/font-misc-misc-1.1.0.tar.bz2
         ${url}/releases/individual/font/font-mutt-misc-${pkgver}.tar.bz2
-        ${url}/releases/individual/font/font-schumacher-misc-${pkgver}.tar.bz2
+        ${url}/releases/individual/font/font-schumacher-misc-1.1.0.tar.bz2
         ${url}/releases/individual/font/font-sony-misc-${pkgver}.tar.bz2
         ${url}/releases/individual/font/font-sun-misc-${pkgver}.tar.bz2)
-md5sums=('81595016e2ff859716fc256ebb136ba6' '305fa22cdfefb8f80babd711051a534b'\
-         '61f9eab48c619af5494d3e384d8d7d79' '284e554db1c64fb7580a06df01444a2b'\
-         'ec709a96b64b497a5cb5658c93bd38dc' '61febb49a71065723a1fba17cbf23c67'\
-         '8c8bffd7540f05caa0dbb4e6e1d6c58e' '2a57f6188c41d4bc1b88ca3d08ad011d'\
-         '648b409b7eb78ad1cd5f6d7fac3eef88' 'f1c6063d2fadc57e696a0aab69afd6e0'\
-         '0dfddd1a946e4497f009094c0ae1bdd5' 'e17d43a7c6c0d862cfba0908ff132ffa')
+md5sums=('817ceb99636c873ad7679fe2a468678d'
+         '13c21c4d74155c662152a1a74f249d96'
+         '05597e2b193a7b7de2ca525468276b1d'
+         '05714516824c680ce747c6ef9d2fbbdd'
+         '88b5b32c5a27576e9d00675bcc966806'
+         '5835c99d056f4a29d7d6a5ae873cf00e'
+         '6350117efebe340f33e818f4a33e4e4b'
+         '878bfd4e9f14c1279cea3a8392e0dbdd'
+         'aab7ac62b960e77aa11d032bafe1d460'
+         '86f4b7d8b11a2e6da70884c59b5866a3'
+         '7b6f5117814599b86ed3470de6c62aa3'
+         '5a185c5549a650bf062d343e128682ca')
 
-
 build() {
-  cd ${srcdir}
-  for dir in font-*-misc-${pkgver}; do
-    pushd ${dir}
+  cd "${srcdir}"
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  for dir in *; do
+    if [ -d "${dir}" ]; then
+      pushd "${dir}"
       ./configure --prefix=/usr \
-                  --with-mapfiles=/usr/share/fonts/util \
-		  --with-fontdir=/usr/share/fonts/misc
+		      --with-fontdir=/usr/share/fonts/misc || return 1
       make || return 1
-      make DESTDIR=${pkgdir} install || return 1
-      install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${dir%-*}
-    popd
-    rm -f ${pkgdir}/usr/share/fonts/*/fonts.*
+      make DESTDIR="${pkgdir}" install || return 1
+      install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${dir%-*}
+      popd
+    fi
   done
+  rm -f ${pkgdir}/usr/share/fonts/*/fonts.*
 }
-



More information about the arch-commits mailing list